Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005975TestLinkRequirement to Test Case Assignmentpublic2013-10-16 12:312013-11-17 09:53
ReporterCELangston 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005975: Bulk Requirement linking to filtered test cases at the suite level links test cases not matching the filter
DescriptionThe problem are using the Test Case Filter to narrow the scope of test cases to be linked makes it appear that you are linking only to those test cases matching the filter. However using the Suite folder as the linking target the user ends up not only linking to the filtered test cases but to every test case under the test suite even those that don't match the filter used.

So the user ends up with a lot more test cases linked to the requirements than they intended.
For now as a work around I may try and create a temp folder and link under the temp folder and move the test cases back to the main folder after linking...but this will be a huge pain.

This is a Huge Problem because people may not find this issue till its too late.
They may find it very hard to remove unwanted linkages. And correct a mess for requirement linking.

Steps To ReproduceSelect Project on the main window to go to the home page.
Select Assign Requirements
Use the Filter area "Test Case Title" to narrow the scope of test cases to be linked to the requirement to a subset.
Select the Test Case Suite folder which contains the filtered test cases.
Check the box on a number of requirements to be linked to the test cases.
Then click Assign.

Afterwards go check some of the test cases that were filtered out.
Notice they too also have the same requirements linked to them.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019839)
fman (administrator)
2013-10-16 19:52
edited on: 2013-10-16 19:52

Please check if 1.9.8 with latest fixes still have the issue, and provide feedback
http://mantis.testlink.org/view.php?id=5897 [^]

(0019843)
fman (administrator)
2013-10-16 20:12

You detailed steps to reproduce are not in line with the standard used in this project.
We need a simple but very detailed scenario, in order to be certain we are reproducing exactly your issue.
example
1. create test project TP01
2. create a test suite TS100
3. create 4 test cases TC1, TC2, TC3, TC4

and so on.
Only After I have this detailed info, this issue will be assigned to the working queue.
(0019852)
fman (administrator)
2013-10-19 15:02

https://gitorious.org/testlink-ga/testlink-code/commit/29da0cd6f4f3ba32ab7c5e7d236c8349923cefb8 [^]
(0020072)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-10-16 12:31 CELangston New Issue
2013-10-16 19:52 fman Note Added: 0019839
2013-10-16 19:52 fman Note Edited: 0019839 View Revisions
2013-10-16 20:12 fman Note Added: 0019843
2013-10-19 15:02 fman Note Added: 0019852
2013-10-19 15:02 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-10-19 15:02 fman Status new => resolved
2013-10-19 15:02 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-10-19 15:02 fman Resolution open => fixed
2013-10-19 15:02 fman Assigned To => fman
2013-10-19 15:03 fman Relationship added child of 0005897
2013-11-17 09:53 fman Note Added: 0020072
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker